Description

There is a wrong german translation for error messages in context of logging time when editing a ticket. My test case was: log time

without selecting an activity.

The error message says "Logzeit nicht gültig" but the section in the edit view is not called "Logzeit" but "Aufwand buchen".

In english the messge says " Log time is invalid" and the section is called "Log time" accordingly.

Associated revisions

Revision 16580 - 2017-05-27 18:28 - Toshi MARUYAMA

fix wrong German translation of logging time error message (#24268)

History

#1 - 2016-12-04 02:29 - Toshi MARUYAMA

- Tracker changed from Defect to Patch

- Status changed from New to Needs feedback

Could you give us de.yml?

source:trunk/config/locales/de.yml@16037

#2 - 2016-12-04 18:45 - Tobias Fischer

Looks like in the view the label button_log_time is used but in the error message its the label field_time_entries.

The labels have the same content in english, but differ in german.

Toshi: I would suggest to use the label @button_log_time in the error message as well...

#3 - 2017-05-19 23:22 - Felix Schäfer

- File 24268.patch added

Please find attached the patch that implements the solution proposed by Tobias.

#4 - 2017-05-20 05:09 - Go MAEDA

- Status changed from Needs feedback to New

- Target version set to 3.4.0

#5 - 2017-05-27 17:54 - Toshi MARUYAMA

- Subject changed from Wrong german translation of error message to Wrong German translation of logging time error message

#6 - 2017-05-27 18:29 - Toshi MARUYAMA

- Status changed from New to Closed

Committed in trunk r16580, thanks.
